> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Revert Onboarding Step

> Revert an onboarding step to mark it as incomplete (current step).
Valid steps: theme, profile, calendarSync, calendarView, notifications, security



## OpenAPI

````yaml put /admin/providers/{provider_id}/onboarding/{step}/revert
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /admin/providers/{provider_id}/onboarding/{step}/revert:
    put:
      tags:
        - provider
        - admin
      summary: Revert Onboarding Step
      description: >-
        Revert an onboarding step to mark it as incomplete (current step).

        Valid steps: theme, profile, calendarSync, calendarView, notifications,
        security
      operationId: >-
        revert_onboarding_step_admin_providers__provider_id__onboarding__step__revert_put
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: provider_id
          in: path
          required: true
          schema:
            type: string
            title: Provider Id
        - name: step
          in: path
          required: true
          schema:
            type: string
            title: Step
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: boolean
                title: >-
                  Response Revert Onboarding Step Admin Providers  Provider Id 
                  Onboarding  Step  Revert Put
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````